=head1 NAME

Gtk2::TextIter

=head1 HIERARCHY

  Glib::Boxed
  +----Gtk2::TextIter


=head1 METHODS

=head2 textattributes = $iter-E<gt>B<get_attributes> 

=over

=back

=head2 boolean = $iter-E<gt>B<backward_char> 

=over

=back

=head2 boolean = $iter-E<gt>B<backward_chars> ($count)

=over

=over

=item * $count (integer) 

=back

=back

=head2 boolean = $iter-E<gt>B<backward_cursor_position> 

=over

=back

=head2 boolean = $iter-E<gt>B<backward_cursor_positions> ($count)

=over

=over

=item * $count (integer) 

=back

=back

=head2 boolean = $iter-E<gt>B<backward_find_char> ($pred, $user_data=undef, $limit=undef)

=over

=over

=item * $pred (scalar) 

=item * $user_data (scalar) 

=item * $limit (Gtk2::TextIter or undef) 

=back

=back

=head2 boolean = $iter-E<gt>B<backward_line> 

=over

=back

=head2 boolean = $iter-E<gt>B<backward_lines> ($count)

=over

=over

=item * $count (integer) 

=back

=back

=head2 (match_start, match_end) = $iter->B<forward_search> ($str, $flags, $limit=NULL)

=over

=over

=item * $str (string) 

=item * $flags (Gtk2::TextSearchFlags) 

=item * $limit (Gtk2::TextIter or undef) 

=back



=back

=head2 boolean = $iter-E<gt>B<backward_sentence_start> 

=over

=back

=head2 boolean = $iter-E<gt>B<backward_sentence_starts> ($count)

=over

=over

=item * $count (integer) 

=back

=back

=head2 boolean = $iter-E<gt>B<backward_to_tag_toggle> ($tag)

=over

=over

=item * $tag (Gtk2::TextTag or undef) 

=back

=back

=head2 boolean = $iter-E<gt>B<backward_visible_cursor_position> 

=over

=back

=head2 boolean = $iter-E<gt>B<backward_visible_cursor_positions> ($count)

=over

=over

=item * $count (integer) 

=back

=back

=head2 boolean = $iter-E<gt>B<backward_visible_line> 

=over

=back

=head2 boolean = $iter-E<gt>B<backward_visible_lines> ($count)

=over

=over

=item * $count (integer) 

=back

=back

=head2 boolean = $iter-E<gt>B<backward_visible_word_start> 

=over

=back

=head2 boolean = $iter-E<gt>B<backward_visible_word_starts> ($count)

=over

=over

=item * $count (integer) 

=back

=back

=head2 boolean = $iter-E<gt>B<backward_word_start> 

=over

=back

=head2 boolean = $iter-E<gt>B<backward_word_starts> ($count)

=over

=over

=item * $count (integer) 

=back

=back

=head2 boolean = $iter-E<gt>B<begins_tag> ($tag)

=over

=over

=item * $tag (Gtk2::TextTag or undef) 

=back

=back

=head2 textbuffer = $iter-E<gt>B<get_buffer> 

=over

=back

=head2 integer = $iter-E<gt>B<get_bytes_in_line> 

=over

=back

=head2 boolean = $iter-E<gt>B<can_insert> ($default_editability)

=over

=over

=item * $default_editability (boolean) 

=back

=back

=head2 character = $iter-E<gt>B<get_char> 

=over

=back

=head2 integer = $iter-E<gt>B<get_chars_in_line> 

=over

=back

=head2 textchildanchor or undef = $iter-E<gt>B<get_child_anchor> 

=over

=back

=head2 integer = $lhs-E<gt>B<compare> ($rhs)

=over

=over

=item * $rhs (Gtk2::TextIter) 

=back

=back

=head2 boolean = $iter-E<gt>B<editable> ($default_setting)

=over

=over

=item * $default_setting (boolean) 

=back

=back

=head2 boolean = $iter-E<gt>B<ends_line> 

=over

=back

=head2 boolean = $iter-E<gt>B<ends_sentence> 

=over

=back

=head2 boolean = $iter-E<gt>B<ends_tag> ($tag)

=over

=over

=item * $tag (Gtk2::TextTag or undef) 

=back

=back

=head2 boolean = $iter-E<gt>B<ends_word> 

=over

=back

=head2 boolean = $lhs-E<gt>B<equal> ($rhs)

=over

=over

=item * $rhs (Gtk2::TextIter) 

=back

=back

=head2 boolean = $iter-E<gt>B<forward_char> 

=over

=back

=head2 boolean = $iter-E<gt>B<forward_chars> ($count)

=over

=over

=item * $count (integer) 

=back

=back

=head2 boolean = $iter-E<gt>B<forward_cursor_position> 

=over

=back

=head2 boolean = $iter-E<gt>B<forward_cursor_positions> ($count)

=over

=over

=item * $count (integer) 

=back

=back

=head2 boolean = $iter-E<gt>B<forward_find_char> ($pred, $user_data=undef, $limit=undef)

=over

=over

=item * $pred (scalar) 

=item * $user_data (scalar) 

=item * $limit (Gtk2::TextIter or undef) 

=back

=back

=head2 boolean = $iter-E<gt>B<forward_line> 

=over

=back

=head2 boolean = $iter-E<gt>B<forward_lines> ($count)

=over

=over

=item * $count (integer) 

=back

=back

=head2 (match_start, match_end) = $iter->B<forward_search> ($str, $flags, $limit=NULL)

=over

=over

=item * $str (string) 

=item * $flags (Gtk2::TextSearchFlags) 

=item * $limit (Gtk2::TextIter or undef) 

=back



=back

=head2 boolean = $iter-E<gt>B<forward_sentence_end> 

=over

=back

=head2 boolean = $iter-E<gt>B<forward_sentence_ends> ($count)

=over

=over

=item * $count (integer) 

=back

=back

=head2 $iter-E<gt>B<forward_to_end> 

=over

=back

=head2 boolean = $iter-E<gt>B<forward_to_line_end> 

=over

=back

=head2 boolean = $iter-E<gt>B<forward_to_tag_toggle> ($tag)

=over

=over

=item * $tag (Gtk2::TextTag or undef) 

=back

=back

=head2 boolean = $iter-E<gt>B<forward_visible_cursor_position> 

=over

=back

=head2 boolean = $iter-E<gt>B<forward_visible_cursor_positions> ($count)

=over

=over

=item * $count (integer) 

=back

=back

=head2 boolean = $iter-E<gt>B<forward_visible_line> 

=over

=back

=head2 boolean = $iter-E<gt>B<forward_visible_lines> ($count)

=over

=over

=item * $count (integer) 

=back

=back

=head2 boolean = $iter-E<gt>B<forward_visible_word_end> 

=over

=back

=head2 boolean = $iter-E<gt>B<forward_visible_word_ends> ($count)

=over

=over

=item * $count (integer) 

=back

=back

=head2 boolean = $iter-E<gt>B<forward_word_end> 

=over

=back

=head2 boolean = $iter-E<gt>B<forward_word_ends> ($count)

=over

=over

=item * $count (integer) 

=back

=back

=head2 boolean = $iter-E<gt>B<has_tag> ($tag)

=over

=over

=item * $tag (Gtk2::TextTag) 

=back

=back

=head2 boolean = $iter-E<gt>B<in_range> ($start, $end)

=over

=over

=item * $start (Gtk2::TextIter) 

=item * $end (Gtk2::TextIter) 

=back

=back

=head2 boolean = $iter-E<gt>B<inside_sentence> 

=over

=back

=head2 boolean = $iter-E<gt>B<inside_word> 

=over

=back

=head2 boolean = $iter-E<gt>B<is_cursor_position> 

=over

=back

=head2 boolean = $iter-E<gt>B<is_end> 

=over

=back

=head2 boolean = $iter-E<gt>B<is_start> 

=over

=back

=head2 language = $iter-E<gt>B<get_language> 

=over

=back

=head2 integer = $iter-E<gt>B<get_line> 

=over

=back

=head2 integer = $iter-E<gt>B<get_line_index> 

=over

=back

=head2 $iter-E<gt>B<set_line_index> ($byte_on_line)

=over

=over

=item * $byte_on_line (integer) 

=back

=back

=head2 integer = $iter-E<gt>B<get_line_offset> 

=over

=back

=head2 $iter-E<gt>B<set_line_offset> ($char_on_line)

=over

=over

=item * $char_on_line (integer) 

=back

=back

=head2 $iter-E<gt>B<set_line> ($line_number)

=over

=over

=item * $line_number (integer) 

=back

=back

=head2 list = $iter-E<gt>B<get_marks> 

=over

Returns a list of all Gtk2::TextMark at this location. Because marks are not
iterable (they don't take up any "space" in the buffer, they are just marks in
between iterable locations), multiple marks can exist in the same place. The
returned list is not in any meaningful order.

=back

=head2 integer = $iter-E<gt>B<get_offset> 

=over

=back

=head2 $iter-E<gt>B<set_offset> ($char_offset)

=over

=over

=item * $char_offset (integer) 

=back

=back

=head2 $first-E<gt>B<order> ($second)

=over

=over

=item * $second (Gtk2::TextIter) 

=back

=back

=head2 pixbuf or undef = $iter-E<gt>B<get_pixbuf> 

=over

=back

=head2 string = $start-E<gt>B<get_slice> ($end)

=over

=over

=item * $end (Gtk2::TextIter) 

=back

=back

=head2 boolean = $iter-E<gt>B<starts_line> 

=over

=back

=head2 boolean = $iter-E<gt>B<starts_sentence> 

=over

=back

=head2 boolean = $iter-E<gt>B<starts_word> 

=over

=back

=head2 list = $iter-E<gt>B<get_tags> 

=over

Returns a list of tags that apply to iter, in ascending order of priority
(highest-priority tags are last). 

=back

=head2 string = $start-E<gt>B<get_text> ($end)

=over

=over

=item * $end (Gtk2::TextIter) 

=back

=back

=head2 list = $iter-E<gt>B<get_toggled_tags> ($toggled_on)

=over

=over

=item * $toggled_on (boolean) 

=back

Returns a list of Gtk2::TextTag that are toggled on or off at this point. (If
toggled_on is TRUE, the list contains tags that are toggled on.) If a tag is
toggled on at iter, then some non-empty range of characters following iter has
that tag applied to it. If a tag is toggled off, then some non-empty range
following iter does not have the tag applied to it.

=back

=head2 boolean = $iter-E<gt>B<toggles_tag> ($tag)

=over

=over

=item * $tag (Gtk2::TextTag or undef) 

=back

=back

=head2 integer = $iter-E<gt>B<get_visible_line_index> 

=over

=back

=head2 $iter-E<gt>B<set_visible_line_index> ($byte_on_line)

=over

=over

=item * $byte_on_line (integer) 

=back

=back

=head2 integer = $iter-E<gt>B<get_visible_line_offset> 

=over

=back

=head2 $iter-E<gt>B<set_visible_line_offset> ($char_on_line)

=over

=over

=item * $char_on_line (integer) 

=back

=back

=head2 string = $start-E<gt>B<get_visible_slice> ($end)

=over

=over

=item * $end (Gtk2::TextIter) 

=back

=back

=head2 string = $start-E<gt>B<get_visible_text> ($end)

=over

=over

=item * $end (Gtk2::TextIter) 

=back

=back


=head1 ENUMS AND FLAGS

=head2 flags Gtk2::TextSearchFlags

=over

=item * 'visible-only' / 'GTK_TEXT_SEARCH_VISIBLE_ONLY'

=item * 'text-only' / 'GTK_TEXT_SEARCH_TEXT_ONLY'

=back



=head1 SEE ALSO

L<Gtk2>, L<Glib::Boxed>

=head1 COPYRIGHT

Copyright (C) 2003-2005 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.


=cut

